Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Class SyModuleImpl

    java.lang.Object
      com.sun.syndication.feed.module.ModuleImpl
          com.sun.syndication.feed.module.SyModuleImpl

All Implemented Interfaces:
  CopyFrom, Module, SyModule, Serializable, Cloneable

    public class SyModuleImpl

extends ModuleImpl
implements SyModule

Syndication ModuleImpl, default implementation.

Author:
  Alejandro Abdelnur
See Also:
  Syndication module., Serialized Form

Field Summary

Fields inherited from interface com.sun.syndication.feed.module.SyModule
`DAILY, HOURLY, MONTHLY, URI, WEEKLY, YEARLY`

Constructor Summary
`SyModuleImpl()` Default constructor.

Method Summary
`void` | `copyFrom(CopyFrom obj)` Copies all the properties of the given bean into this one.
`Class<? extends Module>` | `getInterface()` Returns the interface the copyFrom works on.
`Date` | `getUpdateBase()` Returns the Syndication module update base date.
`int` | `getUpdateFrequency()` Returns the Syndication module update frequency.
`String` | `getUpdatePeriod()` Returns the Syndication module update period.
`void` | `setUpdateBase(Date updateBase)` Sets the Syndication module update base date.
`void` | `setUpdateFrequency(int updateFrequency)` Sets the Syndication module update frequency.
`void` | `setUpdatePeriod(String updatePeriod)` Sets the Syndication module update period.

Methods inherited from class com.sun.syndication.feed.module.ModuleImpl
`clone, equals, getUri, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone, getUri`

Constructor Detail

### SyModuleImpl

    public SyModuleImpl()

  Default constructor. All properties are set to null.

Method Detail

### getUpdatePeriod

    public String getUpdatePeriod()

  Returns the Syndication module update period.

  Specified by:
    `getUpdatePeriod` in interface `SyModule`
  Returns:
    the Syndication module update period, null if none.

### setUpdatePeriod

    public void setUpdatePeriod(String updatePeriod)

  Sets the Syndication module update period.

  Specified by:
    `setUpdatePeriod` in interface `SyModule`
  Parameters:
    `updatePeriod` - the Syndication module update period to set, null if none.

### getUpdateFrequency

    public int getUpdateFrequency()

  Returns the Syndication module update frequency.

  Specified by:
    `getUpdateFrequency` in interface `SyModule`
  Returns:
    the Syndication module update frequency, null if none.

### setUpdateFrequency

    public void setUpdateFrequency(int updateFrequency)

  Sets the Syndication module update frequency.

  Specified by:
    `setUpdateFrequency` in interface `SyModule`
  Parameters:
    `updateFrequency` - the Syndication module update frequency to set, null if none.

### getUpdateBase

    public Date getUpdateBase()

  Returns the Syndication module update base date.

  Specified by:
    `getUpdateBase` in interface `SyModule`
  Returns:
    the Syndication module update base date, null if none.

### setUpdateBase

    public void setUpdateBase(Date updateBase)

  Sets the Syndication module update base date.

  Specified by:
    `setUpdateBase` in interface `SyModule`
  Parameters:
    `updateBase` - the Syndication module update base date to set, null if none.

### getInterface

    public Class<? extends Module> getInterface()

  Description copied from interface: `CopyFrom`
  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Specified by:
    `getInterface` in interface `CopyFrom`
  Returns:
    the interface the copyFrom works on.

### copyFrom

    public void copyFrom(CopyFrom obj)

  Description copied from interface: `CopyFrom`
  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Specified by:
    `copyFrom` in interface `CopyFrom`
  Parameters:
    `obj` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.